
DO $$ 
    BEGIN
         IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14238) THEN
		RETURN;
          END IF;
 
        BEGIN
  


CREATE TABLE IF NOT EXISTS public."ProjectAttributes"
(
    "Id" bigserial NOT NULL,
    "Name"   character varying(512),  
    "ValueType" INT NOT NULL,
    "Hash"   character varying(128),  
    CONSTRAINT "ProjectAttributes_pkey" PRIMARY KEY ("Name", "ValueType")

);

 
 
        EXCEPTION
            WHEN duplicate_table THEN RAISE NOTICE 'Can not Create table <ProjectAttributes>.';
        END;
    END;
$$
